summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2012-03-26 16:05:42 +0200
committerAndreas Maunz <andreas@maunz.de>2012-03-26 16:05:42 +0200
commitc31f5a470cff08a6efc2b1aba69d1f69505e12ac (patch)
treebbc1e5ddf0f166073c324fe461aeab10bf28dfb1
parent3774d08c76ac244e59802d44e2e730e02765a91d (diff)
Removed obsolete files
-rwxr-xr-xnginx.sh78
-rwxr-xr-xopentox-webservices.sh88
2 files changed, 0 insertions, 166 deletions
diff --git a/nginx.sh b/nginx.sh
deleted file mode 100755
index cb8c6b6..0000000
--- a/nginx.sh
+++ /dev/null
@@ -1,78 +0,0 @@
-#!/bin/sh
-#
-# Installs Passenger.
-# Author: Christoph Helma, Andreas Maunz.
-#
-
-. "`pwd`/utils.sh"
-DIR="`pwd`"
-
-if [ "$(id -u)" = "0" ]; then
- echo "This script must be run as non-root." 1>&2
- exit 1
-fi
-
-# Utils
-PIN="`which passenger-install-nginx-module`"
-if [ ! -e "$PIN" ]; then
- echo "'passenger-install-nginx-module' missing. Install 'passenger-install-nginx-module' first. Aborting..."
- exit 1
-fi
-
-GIT="`which git`"
-if [ ! -e "$GIT" ]; then
- echo "'git' missing. Install 'git' first. Aborting..."
- exit 1
-fi
-
-
-LOG="$HOME/tmp/`basename $0`-log.txt"
-
-echo
-echo "Nginx ('$LOG'):"
-
-NGINX_DONE=false
-mkdir "$NGINX_DEST" >/dev/null 2>&1
-if [ ! -d "$NGINX_DEST" ]; then
- echo "Install directory '$NGINX_DEST' is not available! Aborting..."
- exit 1
-else
- if ! rmdir "$NGINX_DEST" >/dev/null 2>&1; then # if not empty this will fail
- NGINX_DONE=true
- fi
-fi
-
-if ! $NGINX_DONE; then
- cmd="$PIN --auto-download --auto --prefix=$NGINX_DEST" && run_cmd "$cmd" "Install"
-fi
-
-cd "$RUBY_DEST/lib/ruby/gems/1.8/gems/" >>$LOG 2>&1
-passenger=`ls -d passenger*`
-cd - >>$LOG 2>&1
-servername=`hostname`
-$GIT checkout nginx.conf>>$LOG 2>&1
-cmd="sed -i -e \"s,PASSENGER,$passenger,;s,SERVERNAME,$servername,;s,RUBY_DEST,$RUBY_DEST,;s,NGINX_DEST,$NGINX_DEST,;s,WWW_DEST,$WWW_DEST,\" ./nginx.conf" && run_cmd "$cmd" "Config"
-cmd="sed -i -e \"s,USER,`whoami`,\" ./nginx.conf" && run_cmd "$cmd" "User"
-
-if [ -z "$NGINX_PORT" ]; then
- NGINX_PORT=80
-else
- NGINX_PORT=`echo "$NGINX_PORT" | sed 's/^.//g'`
-fi
-cmd="sed -i -e \"s,NGINX_PORT,$NGINX_PORT,\" ./nginx.conf" && run_cmd "$cmd" "NGINX_PORT"
-cmd="cp ./nginx.conf \"$NGINX_DEST/conf\"" && run_cmd "$cmd" "Copy"
-$GIT checkout nginx.conf>>$LOG 2>&1
-
-if [ ! -f $NGINX_CONF ]; then
- echo "if ! echo \"\$PATH\" | grep \"$NGINX_DEST\">/dev/null 2>&1; then export PATH=$NGINX_DEST/sbin:\$PATH; fi" >> "$NGINX_CONF"
- echo "Nginx configuration has been stored in '$NGINX_CONF'."
-
- if ! grep ". \"$NGINX_CONF\"" $OT_UI_CONF; then
- echo ". \"$NGINX_CONF\"" >> $OT_UI_CONF
- fi
-
-fi
-
-
-cd "$DIR"
-
diff --git a/opentox-webservices.sh b/opentox-webservices.sh
deleted file mode 100755
index 88f864c..0000000
--- a/opentox-webservices.sh
+++ /dev/null
@@ -1,88 +0,0 @@
-#!/bin/sh
-#
-# Installs Opentox Webservices.
-# Author: Christoph Helma, Andreas Maunz.
-#
-
-. "`pwd`/utils.sh"
-DIR=`pwd`
-
-if [ "$(id -u)" = "0" ]; then
- echo "This script must be run as non-root." 1>&2
- exit 1
-fi
-
-# Utils
-WGET="`which wget`"
-if [ ! -e "$WGET" ]; then
- echo "'wget' missing. Install 'wget' first. Aborting..."
- exit 1
-fi
-
-RAKE="`which rake`"
-if [ ! -e "$RAKE" ]; then
- echo "'rake' missing. Install 'rake' first. Aborting..."
- exit 1
-fi
-
-GIT="`which git`"
-if [ ! -e "$GIT" ]; then
- echo "'git' missing. Install 'git' first. Aborting..."
- exit 1
-fi
-
-RUBY="`which ruby`"
-if [ ! -e "$RUBY" ]; then
- echo "'ruby' missing. Install 'ruby' first. Aborting..."
- exit 1
-fi
-
-LOG="$HOME/tmp/`basename $0`-log.txt"
-
-echo
-echo "Webservices ('$LOG'):"
-
-mkdir -p "$WWW_DEST/opentox" >>$LOG 2>&1
-cd "$WWW_DEST/opentox" >>$LOG 2>&1
-for s in compound dataset algorithm model toxcreate task validation; do
- rm -rf "$s" >>$LOG 2>&1
- $GIT clone "git://github.com/opentox/$s.git" "$s" >>$LOG 2>&1
- cd "$s" >>$LOG 2>&1
- $GIT checkout -b $OT_BRANCH origin/$OT_BRANCH >>$LOG 2>&1
- #rm -rf public >>$LOG 2>&1
- #mkdir public >>$LOG 2>&1
- mypath_from="$WWW_DEST/opentox/$s/public"
- mypath_to="$WWW_DEST/$s"
- cmd="ln -sf \"$mypath_from\" \"$mypath_to\"" && run_cmd "$cmd" "Linking $s"
- cd - >>$LOG 2>&1
-done
-
-# fminer etc
-cmd="test -f $HOME/.opentox/config/production.yaml" && run_cmd "$cmd" "Config present"
-cd "$WWW_DEST/opentox/algorithm" >>$LOG 2>&1
-cmd="$GIT submodule init" && run_cmd "$cmd" "Fminer Init"
-cmd="$GIT submodule update" && run_cmd "$cmd" "Fminer Update"
-cd "libfminer/libbbrc">>$LOG 2>&1
-$GIT checkout $OT_BRANCH>>$LOG 2>&1
-$GIT pull >>$LOG 2>&1
-cd - >>$LOG 2>&1
-cd "libfminer/liblast">>$LOG 2>&1
-$GIT checkout $OT_BRANCH>>$LOG 2>&1
-$GIT pull >>$LOG 2>&1
-cd - >>$LOG 2>&1
-for mylib in bbrc last; do
- cmd="sed -i 's,^INCLUDE_OB.*,INCLUDE_OB\ =\ -I$OB_DEST/include/openbabel-2.0,g' $WWW_DEST/opentox/algorithm/libfminer/lib$mylib/Makefile; sed -i 's,^LDFLAGS_OB.*,LDFLAGS_OB\ =\ -L$OB_DEST/lib,g' $WWW_DEST/opentox/algorithm/libfminer/lib$mylib/Makefile" && run_cmd "$cmd" "Makefile $mylib (OB)"
- cmd="sed -i 's,^INCLUDE_RB.*,INCLUDE_RB\ =\ -I$RUBY_DEST/lib/ruby/1.8/`uname -m`-linux,g' $WWW_DEST/opentox/algorithm/libfminer/lib$mylib/Makefile" && run_cmd "$cmd" "Makefile $mylib (RB)"
-done
-cd "libfminer/libbbrc">>$LOG 2>&1
-cmd="make ruby" && run_cmd "$cmd" "Make BBRC"
-cd - >>$LOG 2>&1
-cd "libfminer/liblast">>$LOG 2>&1
-cmd="make ruby" && run_cmd "$cmd" "Make LAST"
-cd - >>$LOG 2>&1
-cd "last-utils">>$LOG 2>&1
-$GIT checkout $OT_BRANCH>>$LOG 2>&1
-$GIT pull >>$LOG 2>&1
-
-cd "$DIR"
-